const express = require("express");
const Product = require("../controllers/product");
const router = express.Router();

router.post("/postNew", Product.postNew);
router.get("/getAllProductOfAdmin", Product.AllProductsOfAdmin);
router.get("/getAllProductOfSller", Product.AllProductsofSeller);
router.get("/getSingleProduct/:id", Product.GetSingleProduct);
router.get("/getSingleProductbyid/:id", Product.getSingleProductbyid);

router.get("/getDataByID/:id", Product.getDataByID);
router.get("/getDataByName/:name", Product.getDataByName);
router.get("/getDataByName1/:name", Product.getDataByName1);
router.delete("/DeleteSinglProduct/:id", Product.DeleteSinglProduct);


module.exports = router;